# Uses of Class
javassist.CtMethod.ConstParameter

Packages that use CtMethod.ConstParameter
Package
Description
javassist
The Javassist Core API.

## Uses of CtMethod.ConstParameter in javassist

Methods in javassist that return CtMethod.ConstParameter
Modifier and Type
Method
Description
`static CtMethod.ConstParameter`
CtMethod.ConstParameter.`integer(int i)`
Makes an integer constant.
`static CtMethod.ConstParameter`
CtMethod.ConstParameter.`integer(long i)`
Makes a long integer constant.
`static CtMethod.ConstParameter`
CtMethod.ConstParameter.`string(String s)`
Makes an `String` constant.
Methods in javassist with parameters of type CtMethod.ConstParameter
Modifier and Type
Method
Description
`static CtConstructor`
CtNewConstructor.`make(CtClass[] parameters, CtClass[] exceptions, int howto, CtMethod body, CtMethod.ConstParameter cparam, CtClass declaring)`
Creates a public constructor.
`void`
CtMethod.`setWrappedBody(CtMethod mbody, CtMethod.ConstParameter constParam)`
Replace a method body with a new method body wrapping the given method.
`static CtMethod`
CtNewMethod.`wrapped(CtClass returnType, String mname, CtClass[] parameterTypes, CtClass[] exceptionTypes, CtMethod body, CtMethod.ConstParameter constParam, CtClass declaring)`
Creates a wrapped method.